# Microsoft.Samples.DirectX.UtilityToolkit.DeviceSettings Class Reference

Holds the settings for creating a device. More...

List of all members.

## Public Member Functions
DeviceSettings | Clone ()
| Clone this object.
DeviceSettings | Clone ()
| Clone this object.
DeviceSettings | Clone ()
| Clone this object.
## Public Attributes
uint | AdapterOrdinal
DeviceType | DeviceType
Format | AdapterFormat
CreateFlags | BehaviorFlags
PresentParameters | presentParams

## Detailed Description

Holds the settings for creating a device.

Definition at line 53 of file dxmutdata.cs.

## Member Function Documentation

DeviceSettings Microsoft.Samples.DirectX.UtilityToolkit.DeviceSettings.Clone | ( |  | ) |

Clone this object.

Definition at line 63 of file wdxmutdata.cs.

DeviceSettings Microsoft.Samples.DirectX.UtilityToolkit.DeviceSettings.Clone | ( |  | ) |

Clone this object.

Definition at line 63 of file dxmutdata.cs.

DeviceSettings Microsoft.Samples.DirectX.UtilityToolkit.DeviceSettings.Clone | ( |  | ) |

Clone this object.

Definition at line 63 of file dxmutdata.cs.

## Member Data Documentation

Format Microsoft::Samples::DirectX::UtilityToolkit.DeviceSettings::AdapterFormat

Definition at line 57 of file dxmutdata.cs.

uint Microsoft::Samples::DirectX::UtilityToolkit.DeviceSettings::AdapterOrdinal

Definition at line 55 of file dxmutdata.cs.

CreateFlags Microsoft::Samples::DirectX::UtilityToolkit.DeviceSettings::BehaviorFlags

Definition at line 58 of file dxmutdata.cs.

DeviceType Microsoft::Samples::DirectX::UtilityToolkit.DeviceSettings::DeviceType

Definition at line 56 of file dxmutdata.cs.

PresentParameters Microsoft::Samples::DirectX::UtilityToolkit.DeviceSettings::presentParams

Definition at line 59 of file dxmutdata.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutdata.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutdata.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutdata.cs